Draft Sposta

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Move and the translation is 25% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft Label.svg Label Previous:
Next: Rotate Draft Rotate.svg Arrow-right.svg

Draft Move.svg Sposta

Posizione nel menu
Draft → Sposta
Ambiente
Draft, Architettura
Avvio veloce
M V
Introdotto nella versione
-
Vedere anche
Nessuno


Descrizione

Lo strumento Sposta sposta o copia gli oggetti selezionati da un punto ad un altro punto del piano di lavoro corrente. Se nessun oggetto è selezionato, viene chiesto di selezionarne uno.

The Move tool can be used on 2D shapes created with the Draft Workbench or Sketcher Workbench, but can also be used on many types of 3D objects such as those created with the Part Workbench or Arch Workbench.

To produce various copies in different arrangements use Draft Array, Draft PathArray and Draft PointArray.

Draft Move example.jpg

Moving an object from one point to another point


Utilizzo

  1. Selezionare gli oggetti che si desidera spostare o copiare
  2. Premere il pulsante Sposta, o premere i tasti M e V
  3. Selezionare un primo punto nella vista 3D, oppure digitare le sue coordinate
  4. Selezionare un secondo punto nella vista 3D, oppure digitare le sue coordinate

Limitazioni

  • Per spostare o modificare il posizionamento di un oggetto che è basato su uno Schizzo, ad es. una Rivoluzione di PartDesign, si deve spostare lo schizzo originale con cui si è prodotto l'oggetto. Se si tenta di spostare direttamente l'oggetto derivato, questi ritorna automaticamente nella posizione definita dallo Schizzo

Opzioni

  • Premere X, Y o Z dopo un punto per vincolare il punto successivo a un dato asse.
  • Per inserire manualmente le coordinate, è sufficiente inserire il numero, quindi premere INVIO per ogni componente X, Y e Z.
  • Premere R oppure fare clic sulla casella di controllo per selezionare o deselezionare la modalità Relativo. Se la modalità Relativo è attiva, le coordinate del secondo punto sono relative al primo. In caso contrario, sono assolute, a partire dal punto di origine (0,0,0).
  • Premere T oppure fare clic sulla casella di controllo per selezionare o deselezionare la modalità Continua. Se la modalità Continua è attiva, lo strumento Sposta si riavvia dopo che è stato terminato o chiuso, permettendo di eseguire nuove copie o spostamenti senza dover ripetere il comando.
  • Premere ALT o C o attivare la funzione Copia per creare una copia degli oggetti, invece di spostarli. Mantenendo premuto ALT dopo aver cliccato il secondo punto, si possono inserire più duplicati, finché non si rilascia il tasto ALT.
  • Premere CTRL mentre si disegna per agganciare forzatamente il proprio punto al punto di ancoraggio più vicino, indipendentemente dalla distanza.
  • Premere SHIFT mentre si disegna per vincolare il secondo punto orizzontalmente o verticalmente rispetto al precedente.
  • Premere ESC o premere il pulsante Cancella per uscire dal comando attivo.

Script

Lo strumento Sposta può essere utilizzato nelle macro e dalla console di Python utilizzando la seguente funzione:

movedlist = move(objectslist, vector, copy=False)
  • Sposta l'oggetto dato o gli oggetti contenuti nella lista nella direzione e alla distanza indicata dal vettore.
  • Se CopyMode è True, gli oggetti reali non vengono spostati, ma vengono invece create delle loro copie.
  • Restituisce l'oggetto(i) (o delle loro copie se CopyMode era True)

Esempio:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(5, radius=1000)
Polygon2 = Draft.makePolygon(3, radius=500)
Polygon3 = Draft.makePolygon(6, radius=220)

Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon2, FreeCAD.Vector(1000, -1000, 0))
Draft.move(Polygon3, FreeCAD.Vector(-500, -500, 0))

List1 = [Polygon1, Polygon2, Polygon3]

vector = FreeCAD.Vector(-2000, -2000, 0)
List2 = Draft.move(List1, vector, copy=True)
List3 = Draft.move(List1, -2*vector, copy=True)
Arrow-left.svg Draft Label.svg Label Previous:
Next: Rotate Draft Rotate.svg Arrow-right.svg